Page MenuHomeFreeBSD

PR225692: ctype: restore some of ctype definitions from pre-CLDR data
ClosedPublic

Authored by yuripv on Oct 8 2018, 1:35 PM.

Details

Summary

PR: 225692

Restore some of the ctype definitions from pre-CLDR data, namely 0xE000-0xF8FF private use area, and 0xFF00-0xFFF half- and fullwidth punctuation. This does not, of course, fix all of the missing character type definition, but should fix the reported problem before 12.0 is released while I'm looking for complete longer term solution.

While here, I have updated the README a bit as I was actually using what was written there :-) Can be dropped as unrelated change.

Test Plan

Use the test case attached to PR225692.

Diff Detail

Repository
rS FreeBSD src repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

yuripv created this revision.Oct 8 2018, 1:35 PM
yuripv updated this revision to Diff 48895.Oct 8 2018, 2:06 PM

full context

cem accepted this revision.Oct 9 2018, 12:22 AM

This looks reasonable to me.

This revision is now accepted and ready to land.Oct 9 2018, 12:22 AM
yuripv updated this revision to Diff 48969.Oct 10 2018, 1:43 PM
yuripv retitled this revision from PR225692: ctype: restore some of the halfwidth/fullwidth punctuation to PR225692: ctype: restore some of ctype definitions from pre-CLDR data.
yuripv edited the summary of this revision. (Show Details)
yuripv added a reviewer: kib.
This revision now requires review to proceed.Oct 10 2018, 1:43 PM
bapt accepted this revision.Oct 10 2018, 1:46 PM
This revision is now accepted and ready to land.Oct 10 2018, 1:46 PM
This revision was automatically updated to reflect the committed changes.